Package org.eclipse.jdt.debug.ui.launchConfigurations

# Class JavaMainTab

java.lang.Object
org.eclipse.debug.ui.AbstractLaunchConfigurationTab
org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab
org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaMainTab
org.eclipse.jdt.internal.debug.ui.launcher.SharedJavaMainTab
org.eclipse.jdt.debug.ui.launchConfigurations.JavaMainTab

All Implemented Interfaces:
  `org.eclipse.debug.core.IPrototypeAttributesLabelProvider`, `org.eclipse.debug.ui.ILaunchConfigurationTab`, `org.eclipse.debug.ui.ILaunchConfigurationTab2`

public class JavaMainTab extends org.eclipse.jdt.internal.debug.ui.launcher.SharedJavaMainTab
A launch configuration tab that displays and edits project and main type name launch configuration attributes.

This class may be instantiated.

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTR_CONSIDER_INHERITED_MAIN`
Boolean launch configuration attribute indicating whether types inheriting a main method should be considered when searching for a main type.
`static final String`
`ATTR_INCLUDE_EXTERNAL_JARS`
Boolean launch configuration attribute indicating that external jars (on the runtime classpath) should be searched when looking for a main type.

### Fields inherited from class org.eclipse.jdt.internal.debug.ui.launcher.SharedJavaMainTab

`fMainText`

### Fields inherited from class org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaMainTab

`EMPTY_STRING, fModuleName, fProjText`

## Constructor Summary

Constructors
Constructor
Description
`JavaMainTab()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createControl(org.eclipse.swt.widgets.Composite parent)`
`protected void`
`createMainTypeExtensions(org.eclipse.swt.widgets.Composite parent)`
This method allows the group for main type to be extended with custom controls.
`String`
`getId()`
`org.eclipse.swt.graphics.Image`
`getImage()`
`String`
`getName()`
`protected void`
`handleSearchButtonSelected()`
Show a dialog that lists all main types
`protected void`
`initializeAttributes()`
`void`
`initializeFrom(org.eclipse.debug.core.ILaunchConfiguration config)`
`boolean`
`isValid(org.eclipse.debug.core.ILaunchConfiguration config)`
`void`
`performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config)`
`void`
`setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config)`

### Methods inherited from class org.eclipse.jdt.internal.debug.ui.launcher.SharedJavaMainTab

`createMainTypeEditor, getModuleName, initializeMainTypeAndName, updateMainTypeFromConfig`

### Methods inherited from class org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaMainTab

`createProjectEditor, getDefaultListener, getJavaProject, getWorkspaceRoot, handleProjectButtonSelected, mapResources`

### Methods inherited from class org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab

`getContext, getCurrentLaunchConfiguration, initializeJavaProject`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`activated, canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, deactivated, dispose, getAttributeLabel, getAttributesLabelsForPrototype, getControl, getErrorMessage, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, getWarningMessage, isDirty, launched, scheduleUpdateJob, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage, setWarningMessage, updateLaunchConfigurationDialog`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`OkToLeaveTab, postApply`

## Field Details

### ATTR_INCLUDE_EXTERNAL_JARS

public static final String ATTR_INCLUDE_EXTERNAL_JARS
Boolean launch configuration attribute indicating that external jars (on the runtime classpath) should be searched when looking for a main type. Default value is `false`.

Since:
  2.1

### ATTR_CONSIDER_INHERITED_MAIN

public static final String ATTR_CONSIDER_INHERITED_MAIN
Boolean launch configuration attribute indicating whether types inheriting a main method should be considered when searching for a main type. Default value is `false`.

Since:
  3.0

## Constructor Details

### JavaMainTab

public JavaMainTab()

## Method Details

### createControl

public void createControl(org.eclipse.swt.widgets.Composite parent)

### createMainTypeExtensions

protected void createMainTypeExtensions(org.eclipse.swt.widgets.Composite parent)
Description copied from class: `org.eclipse.jdt.internal.debug.ui.launcher.SharedJavaMainTab`
This method allows the group for main type to be extended with custom controls. All control added via this method come after the main type text editor and search button in the order they are added to the parent composite

Overrides:
  `createMainTypeExtensions` in class `org.eclipse.jdt.internal.debug.ui.launcher.SharedJavaMainTab`
Parameters:
  `parent` - the parent to add to

### getImage

public org.eclipse.swt.graphics.Image getImage()

Specified by:
  `getImage` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `getImage` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`

### getName

public String getName()

### getId

public String getId()

Overrides:
  `getId` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`
Since:
  3.3
See Also:
  - `AbstractLaunchConfigurationTab.getId()`

### handleSearchButtonSelected

protected void handleSearchButtonSelected()
Show a dialog that lists all main types

Specified by:
  `handleSearchButtonSelected` in class `org.eclipse.jdt.internal.debug.ui.launcher.SharedJavaMainTab`

### initializeFrom

public void initializeFrom(org.eclipse.debug.core.ILaunchConfiguration config)

Specified by:
  `initializeFrom` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `initializeFrom` in class `org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaMainTab`

### isValid

public boolean isValid(org.eclipse.debug.core.ILaunchConfiguration config)

Specified by:
  `isValid` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `isValid` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`

### performApply

public void performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config)

### setDefaults

public void setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config)

### initializeAttributes

protected void initializeAttributes()

Overrides:
  `initializeAttributes` in class `org.eclipse.jdt.internal.debug.ui.launcher.SharedJavaMainTab`